Improve workspace system into a hashtable

This commit is contained in:
2026-09-10 18:25:53 +01:00
parent 6544ae5f23
commit 945ff0a6d3
12 changed files with 353 additions and 221 deletions
+2 -2
View File
@@ -62,7 +62,7 @@
set -e
if [ -z "$DISPLAY" ]; then
exec ${pkgs.xinit}/bin/startx \
${kutu}/bin/kutu \
${kutu}/bin/kutu "$@" \
-- \
${pkgs.xorg-server}/bin/X
else
@@ -76,7 +76,7 @@
cleanup() { kill "$XEPHYR_PID" 2>/dev/null || true; }
trap cleanup EXIT INT TERM
sleep 1
DISPLAY=$DISPLAY_NUM ${kutu}/bin/kutu
DISPLAY=$DISPLAY_NUM ${kutu}/bin/kutu "$@"
echo "Returned: $?"
fi
'';